import { select, range } from 'd3';
import { fruitsBowls } from './fruitBowls';

const svg = d3.select('svg');


const makeFruit = type => ( {
  type,
  id: Math.random()

});
let selectedFruit = null;

//setting the selected fruit
const onHoverEquals = id => {
  	selectedFruit = id;
  	console.log(id);
  	console.log("Hello !"+selectedFruit);
  	render();
};
console.log(makeFruit);

let fruits = d3.range(5).map(() => makeFruit('apple'));

console.log(fruits);

const render = () => {
  fruitsBowls(svg, {
    fruits, 
    height : +svg.attr('height'),
    onHoverEquals,
    selectedFruit
  })
  
};



render();

//built-in navigator, takes a function and an interval in milliseconds
setTimeout(() => {
  //eat an apple
	fruits.pop();
	render()

}, 1000);

setTimeout(() => {
  //replace an apple with a lemon
	fruits[2].type = 'lemon';
	render()

}, 1000);


setTimeout(() => {
  //eat another apple
	fruits = fruits.filter((d, i) => i !== 1);
	render()

}, 3000);








